Splash oldalak
GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Paraméterek | Részletek | Leírás |
|---|---|---|
| search | Opcionális String | A keresési kifejezés. |
| search_by | Opcionális String | Milyen mező alapján keres? Engedélyezett értékek: name. |
| datetime_field | Opcionális String | Engedélyezett értékek: datetime, last_datetime |
| datetime_start | Opcionális String | Szűrje az eredményeket ettől a dátumtól és időponttól kezdve. Formátum: Y-m-d H:i:s. |
| datetime_end | Opcionális String | Szűrje az eredményeket eddig a dátumig és időpontig. Formátum: Y-m-d H:i:s. |
| order_by | Opcionális String | Milyen mező szerint szeretné rendezni az eredményeket? Engedélyezett értékek: splash_page_id, datetime, last_datetime, name. |
| order_type | Opcionális String | Az eredmények sorrendje. Megengedett értékek: ASC növekvő sorrendhez, és DESC csökkenő sorrendhez. |
| page | Opcionális Egész szám | A lap szám, amelyből az eredményeket szeretné. Alapértelmezés szerint 1. |
| results_per_page | Opcionális Egész szám | Hány találatot szeretne oldalanként? Engedélyezett értékek: 10, 25, 50, 100, 250, 500, 1000. Alapértelmezett: 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 12:44:44",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/projects?page=1",
"last": "https://tistos.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/projects?page=1"
}
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 12:44:44",
}
}
POST https://tistos.com/api/projects
| Paraméterek | Részletek | Leírás |
|---|---|---|
| name | Kötelező String | - |
| title | Opcionális String | - |
| logo | Opcionális Fájl | - |
| favicon | Opcionális Fájl | - |
| opengraph | Opcionális Fájl | - |
| description | Opcionális String | - |
| secondary_button_name | Opcionális String | - |
| secondary_button_url | Opcionális String | - |
| custom_css | Opcionális String | - |
| custom_js | Opcionális String | - |
| ads_header | Opcionális String | - |
| ads_footer | Opcionális String | - |
| link_unlock_seconds | Opcionális Egész szám | - |
| auto_redirect | Opcionális Logikai | - |
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
| Paraméterek | Részletek | Leírás |
|---|---|---|
| name | Opcionális String | - |
| title | Opcionális String | - |
| logo | Opcionális Fájl | - |
| favicon | Opcionális Fájl | - |
| opengraph | Opcionális Fájl | - |
| description | Opcionális String | - |
| secondary_button_name | Opcionális String | - |
| secondary_button_url | Opcionális String | - |
| custom_css | Opcionális String | - |
| custom_js | Opcionális String | - |
| ads_header | Opcionális String | - |
| ads_footer | Opcionális String | - |
| link_unlock_seconds | Opcionális Egész szám | - |
| auto_redirect | Opcionális Logikai | - |
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \